petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorSetFromOptions(TS ts,const char name[],const char help[], const char manual[],PetscErrorCode (*monitor)(TS,PetscInt,PetscReal,Vec,PetscViewerAndFormat*),PetscErrorCode (*monitorsetup)(TS,PetscViewerAndFormat*))

Collective on TS

### Input Parameters

| ts | - TS object you wish to monitor
| name | - the monitor type one is seeking
| help | - message indicating what monitoring is done
| manual | - manual page for the monitor
| monitor | - the monitor function
| monitorsetup | - a function that is called once ONLY if the user selected this monitor that may set additional features of the TS or PetscViewer objects

### See Also

PetscOptionsGetViewer(), PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages